/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fernandez_sanchez_abraham_PROG09_Tarea;

/**
 *
 * @author Abraham Fernandez Sanchez
 */
public class AplicacionCuentaBancariaClass extends javax.swing.JFrame {

    /**
     * Creates new form VentanaPrincipal
     */
    public AplicacionCuentaBancariaClass() {
        initComponents();
        System.out.println(this.getSize());
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jInternalFramePrincipal = new javax.swing.JInternalFrame();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu5 = new javax.swing.JMenu();
        jMenuItemAbrirNuevaCuenta = new javax.swing.JMenuItem();
        jMenuItem5 = new javax.swing.JMenuItem();
        jMenuItem6 = new javax.swing.JMenuItem();
        jMenu4 = new javax.swing.JMenu();
        jMenuItemIngreso = new javax.swing.JMenuItem();
        jMenuItemRetiradaEfectivo = new javax.swing.JMenuItem();
        jMenuItemConsultaSaldo = new javax.swing.JMenuItem();
        jMenuSalirAplicacion = new javax.swing.JMenu();
        jMenuItem1 = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jInternalFramePrincipal.setPreferredSize(new java.awt.Dimension(545, 480));
        jInternalFramePrincipal.setVisible(true);

        javax.swing.GroupLayout jInternalFramePrincipalLayout = new javax.swing.GroupLayout(jInternalFramePrincipal.getContentPane());
        jInternalFramePrincipal.getContentPane().setLayout(jInternalFramePrincipalLayout);
        jInternalFramePrincipalLayout.setHorizontalGroup(
            jInternalFramePrincipalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 543, Short.MAX_VALUE)
        );
        jInternalFramePrincipalLayout.setVerticalGroup(
            jInternalFramePrincipalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 555, Short.MAX_VALUE)
        );

        jMenu5.setText("Cuenta");

        jMenuItemAbrirNuevaCuenta.setText("Abrir Nueva Cuenta");
        jMenuItemAbrirNuevaCuenta.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemAbrirNuevaCuentaActionPerformed(evt);
            }
        });
        jMenu5.add(jMenuItemAbrirNuevaCuenta);

        jMenuItem5.setText("Listado Cuentas");
        jMenuItem5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem5ActionPerformed(evt);
            }
        });
        jMenu5.add(jMenuItem5);

        jMenuItem6.setText("Ver Datos Cuenta");
        jMenuItem6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem6ActionPerformed(evt);
            }
        });
        jMenu5.add(jMenuItem6);

        jMenuBar1.add(jMenu5);

        jMenu4.setText("Operaciones Cuenta");

        jMenuItemIngreso.setText("Ingreso");
        jMenuItemIngreso.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemIngresoActionPerformed(evt);
            }
        });
        jMenu4.add(jMenuItemIngreso);

        jMenuItemRetiradaEfectivo.setText("Retirada efectivo");
        jMenuItemRetiradaEfectivo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemRetiradaEfectivoActionPerformed(evt);
            }
        });
        jMenu4.add(jMenuItemRetiradaEfectivo);

        jMenuItemConsultaSaldo.setText("Consulta Saldo");
        jMenuItemConsultaSaldo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemConsultaSaldoActionPerformed(evt);
            }
        });
        jMenu4.add(jMenuItemConsultaSaldo);

        jMenuBar1.add(jMenu4);

        jMenuSalirAplicacion.setText("Salir");
        jMenuSalirAplicacion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuSalirAplicacionActionPerformed(evt);
            }
        });

        jMenuItem1.setText("Salir");
        jMenuItem1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem1ActionPerformed(evt);
            }
        });
        jMenuSalirAplicacion.add(jMenuItem1);

        jMenuBar1.add(jMenuSalirAplicacion);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jInternalFramePrincipal, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jInternalFramePrincipal, javax.swing.GroupLayout.DEFAULT_SIZE, 577, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jMenuItemRetiradaEfectivoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemRetiradaEfectivoActionPerformed
        VistaRetirarEfectivoCuenta vistaRetirarEfectivoCuenta = new VistaRetirarEfectivoCuenta();                  
        jInternalFramePrincipal.add(vistaRetirarEfectivoCuenta);
        vistaRetirarEfectivoCuenta.setVisible(true); 
    }//GEN-LAST:event_jMenuItemRetiradaEfectivoActionPerformed

    private void jMenuItemAbrirNuevaCuentaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemAbrirNuevaCuentaActionPerformed
        VistaNuevaCuenta vistaNuevaCuenta = new VistaNuevaCuenta();                  
        jInternalFramePrincipal.add(vistaNuevaCuenta);
        vistaNuevaCuenta.setVisible(true); 
    }//GEN-LAST:event_jMenuItemAbrirNuevaCuentaActionPerformed

    private void jMenuItem5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem5ActionPerformed
        VistaListadoCuentas vistaListadoCuentas = new VistaListadoCuentas();                  
        jInternalFramePrincipal.add(vistaListadoCuentas);
        vistaListadoCuentas.setVisible(true); 
    }//GEN-LAST:event_jMenuItem5ActionPerformed

    private void jMenuItem6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem6ActionPerformed
        VistaDatosCuenta vistaDatosCuenta = new VistaDatosCuenta();                  
        jInternalFramePrincipal.add(vistaDatosCuenta);
        vistaDatosCuenta.setVisible(true);        
    }//GEN-LAST:event_jMenuItem6ActionPerformed

    private void jMenuItemConsultaSaldoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemConsultaSaldoActionPerformed
        VistaConsultaSaldoCuenta consultaSaldoCuenta = new VistaConsultaSaldoCuenta();                  
        jInternalFramePrincipal.add(consultaSaldoCuenta);
        consultaSaldoCuenta.setVisible(true);
        
    }//GEN-LAST:event_jMenuItemConsultaSaldoActionPerformed

    private void jMenuItemIngresoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemIngresoActionPerformed
        // VistaIngresoSaldoCuenta
        VistaIngresoSaldoCuenta ingresoSaldoCuenta = new VistaIngresoSaldoCuenta();                  
        jInternalFramePrincipal.add(ingresoSaldoCuenta);
        ingresoSaldoCuenta.setVisible(true);
    }//GEN-LAST:event_jMenuItemIngresoActionPerformed

    private void jMenuItem1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem1ActionPerformed
        System.exit(0);
    }//GEN-LAST:event_jMenuItem1ActionPerformed

    private void jMenuSalirAplicacionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuSalirAplicacionActionPerformed
        
        System.out.println(evt.getActionCommand());
        System.exit(0);
    }//GEN-LAST:event_jMenuSalirAplicacionActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(AplicacionCuentaBancariaClass.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(AplicacionCuentaBancariaClass.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(AplicacionCuentaBancariaClass.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(AplicacionCuentaBancariaClass.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new AplicacionCuentaBancariaClass().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JInternalFrame jInternalFramePrincipal;
    private javax.swing.JMenu jMenu4;
    private javax.swing.JMenu jMenu5;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuItem1;
    private javax.swing.JMenuItem jMenuItem5;
    private javax.swing.JMenuItem jMenuItem6;
    private javax.swing.JMenuItem jMenuItemAbrirNuevaCuenta;
    private javax.swing.JMenuItem jMenuItemConsultaSaldo;
    private javax.swing.JMenuItem jMenuItemIngreso;
    private javax.swing.JMenuItem jMenuItemRetiradaEfectivo;
    private javax.swing.JMenu jMenuSalirAplicacion;
    // End of variables declaration//GEN-END:variables
}
